Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Tek-Tips community for having the most helpful posts in the forums last week. Way to Go!

CAE: how to create a 3D spline or helix ???

Status
Not open for further replies.

neoflight

Aerospace
Feb 19, 2007
9
0
0
Hello,

I am using abaqus cae to create a helix (inside) touching a shell cylinder. I need to independently create the sections for the helix. to make it clear; cae revolves the rectangular section in an angle (specifying the pitch) and the cross section (perpendicular to any line on helix) dimensions of the revolved section are not the ones I provided.

So i am now trying to specify the path using spline and then sweep the section thru it. But i cannot find a way to create a spline in 3D space. how can i do this?

anyother way to create a helix with a specified dimension? I mean iam concerned about any given section perpendicular to the helix path to be precise. Thank you in advance..





 
Replies continue below

Recommended for you

the following is an example of how to create a helical wire feature...
(watch the indents, they may get mangled in this forum)

###################################################
from abaqus import *
from abaqusConstants import *

Mdb()

rad = 5.0
zFactor = 0.25

p = mdb.models['Model-1'].Part(name='Part-1', dimensionality=THREE_D,
type=DEFORMABLE_BODY)

xyz=[]

for i in range(100):
x = rad*cos(i/5.0)
y = rad*sin(i/5.0)
z = i*zFactor
xyz.append( (x,y,z) )

for j in range( len(xyz) ):
dtm = p.DatumPointByCoordinate(coords=xyz[j])

d = p.datums
p.WireSpline(points=d.values(), mergeWire=OFF, meshable=ON,
smoothClosedSpline=ON)

session.viewports['Viewport: 1'].setValues(displayedObject=p)
 
Thank you. that gave me the spline. excellent. But its not letting me use this as a path for my sweep.. i am relatively new to abaqus....

any help would be highly appreciated !

thanks again for the help
 
Can you try the following and let me know if the "revolve with pitch" command gives you what you want?

#######################
from abaqus import *
from abaqusConstants import *

width = 20.0
height = 5.0
origin = (15.0, 0.0)
pitch = 50.0
numTurns = 2.0

s = mdb.models['Model-1'].ConstrainedSketch(name='rect', sheetSize=200.0)
g = s.geometry
s.setPrimaryObject(option=STANDALONE)
cl = s.ConstructionLine(point1=(0.0, -100.0), point2=(0.0, 100.0))
s.FixedConstraint(entity=g[2])
s.FixedConstraint(entity=g[cl.id])
s.rectangle(point1=(origin[0], origin[1]), point2=(origin[0]+width, origin[1]+height))

p = mdb.models['Model-1'].Part(name='Part-1', dimensionality=THREE_D,
type=DEFORMABLE_BODY)
p = mdb.models['Model-1'].parts['Part-1']

p.BaseSolidRevolve(sketch=s, angle=numTurns*360.0, flipRevolveDirection=OFF,
pitch=pitch, flipPitchDirection=OFF, moveSketchNormalToPath=OFF)
#In above command try changing the following member: moveSketchNormalToPath=ON

s.unsetPrimaryObject()

session.viewports['Viewport: 1'].setValues(displayedObject=p)
 
Status
Not open for further replies.
Back
Top